.nlb-checkbox {
  // Hide existing HTML button
  input[type='checkbox'] {
    display: none;
  }
  display: block;
  position: relative;
  padding-left: 35px;
  //margin-bottom: 12px;
  cursor: pointer;
  font-size: 14px;
  line-height: 21px;
  padding-top: 2px;

  margin-bottom: 10px;

  input[type='checkbox'] + span::before {
    content: '';
    border-radius: 5px;
    display: inline-block;
    vertical-align: middle;
    height: 13px;
    width: 13px;
    margin-right: 10px;
    min-width: 20px;
    min-height: 20px;
    margin-top: 0px;
    box-shadow: 0 0 0px 2px $gray-200;
    transition: box-shadow 0.4s;
  }

  input[type='checkbox']:disabled + span {
    cursor: not-allowed;
  }
}

.checkmark {
  position: absolute;
  top: 0;
  left: 0;
  height: 20px;
  width: 20px;
  font-size: 13px;
}

/* Create the checkmark/indicator (hidden when not checked) */
.checkmark:after {
  content: '';
  position: absolute;
  display: none;
}

/* Show the checkmark when checked */
.nlb-checkbox input:checked ~ .checkmark:after {
  display: block;
}

/* Style the checkmark/indicator */
.nlb-checkbox .checkmark:after {
  left: 6px;
  top: 4px;
  width: 7px;
  height: 11px;
  border-width: 0px 2px 2px 0px;
  border-style: solid;
  border-color: $nlbIndigoShadeColor;
  -webkit-transform: rotate(45deg);
  -ms-transform: rotate(45deg);
  transform: rotate(45deg);
}

input[type='checkbox']:disabled ~ .checkmark:after {
  border-color: white;
}

input[type='checkbox']:disabled + span::before {
  background: $gray-200;
}

.nlb-checkbox {
  input[type='checkbox']:checked + span::before {
    display: inline-block;
    box-shadow: 0 0 0px 2px $nlbIndigoShadeColor;
  }
  input[type='checkbox']:disabled:checked + span::before {
    display: inline-block;
    box-shadow: 0 0 0px 2px $gray-200;
  }
}
